Click or drag to resize

ViewCaptureWriterDrawGradientHatch Method

[Missing <summary> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

Namespace:  Rhino.Runtime
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
protected abstract void DrawGradientHatch(
	DisplayPipeline pipeline,
	Hatch hatch,
	HatchPattern pattern,
	Color[] gradientColors,
	float[] gradientStops,
	Point3d gradientPoint1,
	Point3d gradientPoint2,
	bool linearGradient,
	Color boundaryColor,
	double pointScale
)

Parameters

pipeline
Type: Rhino.DisplayDisplayPipeline

[Missing <param name="pipeline"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

hatch
Type: Rhino.GeometryHatch

[Missing <param name="hatch"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

pattern
Type: Rhino.DocObjectsHatchPattern

[Missing <param name="pattern"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

gradientColors
Type: System.DrawingColor

[Missing <param name="gradientColors"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

gradientStops
Type: SystemSingle

[Missing <param name="gradientStops"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

gradientPoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="gradientPoint1"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

gradientPoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="gradientPoint2"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

linearGradient
Type: SystemBoolean

[Missing <param name="linearGradient"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

boundaryColor
Type: System.DrawingColor

[Missing <param name="boundaryColor"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

pointScale
Type: SystemDouble

[Missing <param name="pointScale"/> documentation for "M:Rhino.Runtime.ViewCaptureWriter.DrawGradientHatch(Rhino.Display.DisplayPipeline,Rhino.Geometry.Hatch,Rhino.DocObjects.HatchPattern,System.Drawing.Color[],System.Single[],Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Drawing.Color,System.Double)"]

See Also